MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027447Community[OCCT] OCCT:Data Exchangepublic2016-04-28 14:282016-12-09 16:37
Reportermartinsiggel 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027447: Add support for long IGES entity names
DescriptionIGES supports labels/names with more than 8 characters using the entity 406 form 15.

The IGESCAFControl_Writer should be extended to support this.
Steps To Reproduce- Use samples/tcl/xde.tcl
- Change the label "link" to "very long link name"
- Use "WriteIges D link.igs" to write IGES file
- Look for 406 / 15 entities in link.igs
TagsNo tags attached.
Test case numberbugs xde bug27447
Attached Files

- Relationships

-  Notes
(0053670)
git (administrator)
2016-04-28 14:34

Branch CR0027447 has been created by martinsiggel.

SHA-1: 9dfed0ee53f3236bbfef3bdb2a617d253ebc483b


Detailed log of new commits:

Author: Martin Siggel
Date: Thu Apr 28 13:33:57 2016 +0200

    0027447: Add support for long IGES entity names
    
    This commit adds support for long IGES name. The method
    IGESCAFControl_Writer::WriteNames is now extended
    to also write IGES 406 / 15 name entities containing the
    full label name.
(0053674)
git (administrator)
2016-04-28 14:45

Branch CR0027447 has been updated forcibly by martinsiggel.

SHA-1: bca74361c741137704514b06f51842bdfcae0164
(0054011)
gka (developer)
2016-05-12 11:22

Branch CR0027447 is ready to be tested
(0054016)
git (administrator)
2016-05-12 12:22

Branch CR0027447 has been updated forcibly by apv.

SHA-1: 2909c2c097d0f91757ed056f89850e476ba42acf
(0054017)
apv (tester)
2016-05-12 12:22

Branch CR0027447 has been rebased on the current master
(0054046)
git (administrator)
2016-05-16 11:43

Branch CR0027447 has been updated by apv.

SHA-1: 4a876ebb44bdeaa1a1d32d04b2e75dd5e9a03d43


Detailed log of new commits:

Author: apv
Date: Mon May 16 11:42:56 2016 +0300

    Test case for issue 0027447

(0054047)
apv (tester)
2016-05-16 11:44

Test case bugs/xde/bug27447 has been added
(0054048)
apv (tester)
2016-05-16 11:45

Dear Galina,

Please, validate test case bugs/xde/bug27447
(0055031)
gka (developer)
2016-06-15 15:51

Test script is OK
(0055042)
git (administrator)
2016-06-15 18:03

Branch CR0027447 has been updated forcibly by apv.

SHA-1: d69de035a2763b5efd92340f36f17672a3d27a62
(0055044)
apv (tester)
2016-06-15 18:04

Branch CR0027447 has been rebased on the current master
(0055053)
apv (tester)
2016-06-16 09:44
edited on: 2016-06-16 09:44

Dear BugMaster,

Branch CR0027447 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d69de035a2763b5efd92340f36f17672a3d27a62

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 4
   MacOS: 1131

Regressions/Differences:
Not detected

Testing cases:
bugs xde bug27447 - OK
http://occt-tests/CR0027447-master-OCCT/Debian70-64/bugs/xde/bug27447.html [^]
http://occt-tests/CR0027447-master-OCCT/Windows-64-VC10/bugs/xde/bug27447.html [^]

Testing on Linux:
Total MEMORY difference: 88956437 / 88305942 [+0.74%]
Total CPU difference: 19548.010000000137 / 19440.459999999966 [+0.55%]

Testing on Windows:
Total MEMORY difference: 56083029 / 55983280 [+0.18%]
Total CPU difference: 18274.222341698784 / 19056.302154998906 [-4.10%]

(0055133)
git (administrator)
2016-06-17 12:13

Branch CR0027447 has been deleted by inv.

SHA-1: d69de035a2763b5efd92340f36f17672a3d27a62

- Related Changesets
occt: master 6f21399c
Timestamp: 2016-04-28 11:33:57
Author: martinsiggel
Committer: bugmaster
Details ] Diff ]
0027447: Add support for long IGES entity names

Adding support for long IGES names.
The method IGESCAFControl_Writer::WriteNames is now extended
to also write IGES 406 / 15 name entities containing the full label name.

Test case for issue 0027447
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff ] File ]
add - tests/bugs/xde/bug27447 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-28 14:28 martinsiggel New Issue
2016-04-28 14:28 martinsiggel Assigned To => gka
2016-04-28 14:34 git Note Added: 0053670
2016-04-28 14:39 martinsiggel Status new => resolved
2016-04-28 14:39 martinsiggel Steps to Reproduce Updated View Revisions
2016-04-28 14:42 martinsiggel Steps to Reproduce Updated View Revisions
2016-04-28 14:45 git Note Added: 0053674
2016-05-12 11:22 gka Note Added: 0054011
2016-05-12 11:22 gka Assigned To gka => bugmaster
2016-05-12 11:22 gka Status resolved => reviewed
2016-05-12 11:36 apv Assigned To bugmaster => apv
2016-05-12 12:22 git Note Added: 0054016
2016-05-12 12:22 apv Note Added: 0054017
2016-05-16 11:43 git Note Added: 0054046
2016-05-16 11:43 apv Test case number => bugs xde bug27447
2016-05-16 11:44 apv Note Added: 0054047
2016-05-16 11:45 apv Note Added: 0054048
2016-05-16 11:45 apv Assigned To apv => gka
2016-05-16 11:45 apv Status reviewed => feedback
2016-06-15 15:51 gka Note Added: 0055031
2016-06-15 15:51 gka Assigned To gka => bugmaster
2016-06-15 15:51 gka Status feedback => reviewed
2016-06-15 15:53 apv Assigned To bugmaster => apv
2016-06-15 18:03 git Note Added: 0055042
2016-06-15 18:04 apv Note Added: 0055044
2016-06-16 09:44 apv Note Added: 0055053
2016-06-16 09:44 apv Assigned To apv => bugmaster
2016-06-16 09:44 apv Status reviewed => tested
2016-06-16 09:44 apv Note Edited: 0055053 View Revisions
2016-06-17 12:04 bugmaster Changeset attached => occt master 6f21399c
2016-06-17 12:04 bugmaster Status tested => verified
2016-06-17 12:04 bugmaster Resolution open => fixed
2016-06-17 12:13 git Note Added: 0055133
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker